# Annotation Interface Priority

@Documented @Retention(RUNTIME) public @interface Priority
Used to define the order in which classes or parameters should be used. The annotated class or parameter defines how the priority value is used.

Since:
  Common Annotations 1.2

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `int`
  `value`
  Specifies the priority value used to determine the ordering of the annotated element.

- ## Element Details

  - ### value

    int value
    Specifies the priority value used to determine the ordering of the annotated element. Lower values indicate higher priority. The annotated class or parameter defines how the priority value is interpreted and applied.
    Returns:
      the priority ordering value